/*
 * _6502_cpu.h
 *
 * Created: 12/1/2013 5:57:57 PM
 *  Author: Vlady
 */ 


#ifndef C6502_CPU_H_
#define C6502_CPU_H_

#include <stdint.h>
#include <avr/pgmspace.h> 

 uint16_t getvalue();
 void putvalue(uint16_t saveval);



extern uint8_t read6502(uint16_t address);
extern void write6502(uint16_t address, uint8_t value);
uint8_t* s_memory6502; //[65536];
uint16_t pc;
void step6502(void);
void reset6502(void); 
uint64_t instructions; //keep track of total instructions executed
typedef void (*FPtr)(void);

#endif /* 6502_CPU_H_ */