/*
 * ram_mgr.c
 *
 * Created: 12/7/2013 5:54:31 PM
 *  Author: Vlady
 */ 

#include "ram_mgr.h"
#include "sspi.h"

void ram_init(void)
{	
	CS_RAM_INIT(); CS_RAM_H();		/* Initialize port pin tied to CS */
	CK_INIT(); CK_L();		/* Initialize port pin tied to SCLK */
	DI_INIT();				/* Initialize port pin tied to DI */
	DO_INIT();				/* Initialize port pin tied to DO */
			
	CS_RAM_L();
	xmit(0x01);
	xmit(0x00);
	CS_RAM_H();
}

unsigned char ram_read(uint16_t addr)
{
	unsigned char receive;
		 CS_RAM_L();
		 xmit(0x03);
		 xmit(0x00);
		 xmit(addr>>8);
		 xmit(addr);
		 receive= rcvr();
		 CS_RAM_H();
		 return receive;
}

void ram_write(uint16_t addr, unsigned char data)
{
		CS_RAM_L();
		xmit(0x02);
		xmit(0x00);
		xmit(addr>>8);
		xmit(addr);
		xmit(data);
		CS_RAM_H();
}