/*
 * sspi.h
 *
 * Created: 12/7/2013 4:09:05 PM
 *  Author: Vlady
 */ 


#ifndef SSPI_H_
#define SSPI_H_

#include <avr/io.h>

#define DO_INIT()					/* Initialize port for MMC DO as input */
#define DO			(PINC &	0x01)	/* Test for MMC DO ('H':true, 'L':false) */

#define DI_INIT()	DDRC  |= 0x02	/* Initialize port for MMC DI as output */
#define DI_H()		PORTC |= 0x02	/* Set MMC DI "high" */
#define DI_L()		PORTC &= 0xFD	/* Set MMC DI "low" */

#define CK_INIT()	DDRC  |= 0x04	/* Initialize port for MMC SCLK as output */
#define CK_H()		PORTC |= 0x04	/* Set MMC SCLK "high" */
#define	CK_L()		PORTC &= 0xFB	/* Set MMC SCLK "low" */

#define CS_RAM_INIT()	DDRC  |= 0x08	/* Initialize port for MMC CS as output */
#define	CS_RAM_H()		PORTC |= 0x08	/* Set MMC CS "high" */
#define CS_RAM_L()		PORTC &= 0xF7	/* Set MMC CS "low" */

#define CS_ROM_INIT()	DDRC  |= 0x10	/* Initialize port for MMC CS as output */
#define	CS_ROM_H()		PORTC |= 0x10	/* Set MMC CS "high" */
#define CS_ROM_L()		PORTC &= 0xEF	/* Set MMC CS "low" */


void xmit (unsigned char buff);
unsigned char rcvr (void);



#endif /* SSPI_H_ */