/*
 * usart.h
 *
 * Created: 12/1/2013 6:52:29 PM
 *  Author: Vlady
 */ 


#ifndef USART_H_
#define USART_H_

#include <avr/io.h>

#define MCU_XTAL 18432000UL

#define BAUD_RATE    115200
#define UART_BAUDRATE   ((unsigned int)((unsigned long)MCU_XTAL/((unsigned long)BAUD_RATE*16)-1))

unsigned char rxc, char_received;


void usart_init(void);
void serial_putc(unsigned char data);
void serial_put_byte2ascii(unsigned char val);

#endif /* USART_H_ */